Subject: Re: [Hipsec] API draft

From: Andrew McGregor <[email-masked]>
Date: Tue, 4 Dec 2007 16:10:33 -0800

I have a question: is this draft coherent in the presence of RFC  
5014?  Should there be a few values defined to fit into the RFC 5014  
framework?

Andrew

On 22/08/2007, at 4:33 AM, Gonzalo Camarillo wrote:

> Folks,
>
> a few months ago, we had some discussions about the API draft. Miika  
> contacted the APPS area folks and got some feedback from them. With  
> that feedback, he has generated a new revision of the draft:
>
> http://www.ietf.org/internet-drafts/draft-ietf-hip-native-api-02.txt
>
> The discussions with the APPS area folks are documented at:
>
> http://www1.ietf.org/mail-archive/web/discuss/current/msg00496.html
>
> http://www1.ietf.org/mail-archive/web/discuss/current/msg00755.html
>
>
> I would like people to have a look at this draft and send comments  
> to the list. Note that our plan was, and still is, to have this  
> draft ready for publication request by the end of the year.
>
> There were also discussions on producing a more long-term API at  
> some point... but that may fall under the scope of the RG instead.
>
> Cheers,
>
> Gonzalo
> HIP co-chair
>
> _______________________________________________
> Hipsec mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/hipsec
>

_______________________________________________
Hipsec mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/hipsec

---

From: Miika Komu <[email-masked]>
Date: Wed, 5 Dec 2007 02:47:21 +0200 (EET)

On Tue, 4 Dec 2007, Andrew McGregor wrote:

Hi Andrew,

good point. The socket options don't seem to apply to HIP. Do you think 
that this should be mentioned in the draft?

The flag size extension applies to the draft. How commonly are AI_EXTFLAGS 
supported in practise? At leat my Ubuntu/Gutsy does not seem to support 
it.

> I have a question: is this draft coherent in the presence of RFC 5014? 
> Should there be a few values defined to fit into the RFC 5014 framework?
>
> Andrew
>
>> contacted the APPS area folks and got some feedback from them. With that 
>> feedback, he has generated a new revision of the draft:
>> 
>> I would like people to have a look at this draft and send comments to the 
>> list. Note that our plan was, and still is, to have this draft ready for 
>> publication request by the end of the year.
>> 
>> There were also discussions on producing a more long-term API at some 
>> point... but that may fall under the scope of the RG instead.
>> 
>> Cheers,
>> 
>> Gonzalo
>> HIP co-chair
>> 

-- 
Miika Komu                                       http://www.iki.fi/miika/